hist-methods {DEDS} | R Documentation

## Histogram for DEDS Objects

### Description

The function `hist.DEDS` produces histograms of unadjusted p-values for `DEDS-class` objects.

### Usage

    ## S3 method for class 'DEDS':
    hist(x, subset=c(1:nrow(x$stats)), ...)

### Arguments

`x` | An object of `DEDS`, produced by `deds.pval`.
`subset` | A numeric vector indicating the subset of points to be plotted.
`...` | Further graphical parameters, for example, `"col"`, `"border"`, `"main"`, `"nclass"`.

### Details

The function `hist.DEDS` implements a S3 method of `hist` for `DEDS`. The `DEDS` class is a simple list-based class to store DEDS results and `hist.DEDS` is used for a DEDS object that is created by the function `deds.pval`. The list contains a "stat" component, which stores unadjusted p-values from various statistical models. The function `hist.DEDS` extracts the "stat" component and produces a histgram of the unadjusted p-values for each model.

For DEDS objects that are created by functions `deds.stat` and `deds.stat.linkC`, the "stat" matrix consists of different types of statistics. For graphical dispaly of these statistics, the user can use `qqnorm.DEDS` and `pairs.DEDS`.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`deds.stat`, `deds.pval`, `deds.stat.linkC`, `pairs.DEDS`, `qqnorm.DEDS`

### Examples

[Package DEDS version 1.6.0 Index]